Bug 131736 - (IT_49020) tftp-server 0.32 is broken
tftp-server 0.32 is broken
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: tftp (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
David Lawrence
:
Depends On:
Blocks: 123574
  Show dependency treegraph
 
Reported: 2004-09-03 15:12 EDT by Joshua Jensen
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-21 10:34:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Jensen 2004-09-03 15:12:09 EDT
Description of problem:

Cisco IOS version 12.2 has problems with tftp-server 0.32 as shipped
with RHEL3.  The problems as already been corrected in version 0.37
though... from http://www.kernel.org/pub/software/network/tftp/CHANGES:

Changes in 0.37:
	Fix a pathology where a client sending ACKs for the wrong
	packet can prevent proper retransmission.


This is the fix that Cisco IOS 12.2 and probably other tftp clients
need.  Please publish an errata with 0.37 !
Comment 2 Elliot Lee 2004-09-13 13:22:10 EDT
tftp 0.38 will be in RHEL4b1 (and FC3t2) so the issue will definitely
be resolved in the future. I don't know about doing a RHEL3 erratum -
will see how high it gets on the TODO stack :)
Comment 4 Kevin W. Rudd 2004-09-20 13:25:15 EDT
The reference to the fix in 0.37 was due to a mis-diagnosis.  The
problem that they are encountering is a high total transfer time due
to excessive Socerer's Apprentice Syndrom related packets.  The
following is a small segment from one of their transfers:

No.  Time      Source          Destination     Info
 1  0.000000  172.20.249.100  172.20.249.254  Acknowledgement, Block:
896     
 2  0.000042  172.20.249.254  172.20.249.100  Data Packet, Block: 897   
 3  0.000222  172.20.249.100  172.20.249.254  Acknowledgement, Block:
896     
 4  0.000234  172.20.249.254  172.20.249.100  Data Packet, Block: 897   
 5  0.000447  172.20.249.100  172.20.249.254  Acknowledgement, Block:
896     
 6  0.000460  172.20.249.254  172.20.249.100  Data Packet, Block: 897   
 7  0.000642  172.20.249.100  172.20.249.254  Acknowledgement, Block:
897     
 8  0.000655  172.20.249.254  172.20.249.100  Data Packet, Block: 898   
 9  0.000978  172.20.249.100  172.20.249.254  Acknowledgement, Block:
897     
10  0.000991  172.20.249.254  172.20.249.100  Data Packet, Block: 898   
11  0.002183  172.20.249.100  172.20.249.254  Acknowledgement, Block:
897     
12  0.002196  172.20.249.254  172.20.249.100  Data Packet, Block: 898   
13  0.002415  172.20.249.100  172.20.249.254  Acknowledgement, Block:
897     
14  0.002427  172.20.249.254  172.20.249.100  Data Packet, Block: 898   
15  0.002634  172.20.249.100  172.20.249.254  Acknowledgement, Block:
897     
16  0.002647  172.20.249.254  172.20.249.100  Data Packet, Block: 898   
17  0.002827  172.20.249.100  172.20.249.254  Acknowledgement, Block:
898     
18  0.002840  172.20.249.254  172.20.249.100  Data Packet, Block: 899    

The tftp-0.28-malta.patch being applied to the RHEL3 RPM violates the
RFC specifications and is causing this behavior. Intentionally
breaking the default behavior should be enabled via an optional flag
(if it is left in at all).
Comment 5 H. Peter Anvin 2004-09-21 14:26:20 EDT
Please do NOT ship 0.38.  It has a serious timeout bug that can cause
the server to go into a packet-spew mode.  This bug has been fixed in
0.39.
Comment 6 Elliot Lee 2004-09-21 14:38:51 EDT
0.39 is in FC3 devel tree now, sans the malta patch.
Comment 7 nathan r. hruby 2004-09-23 08:08:13 EDT
PING.  Any possibility of this happening in RHEL3?  Some of us have cable modems to boot 
ya know :)
Comment 10 Joshua Jensen 2004-10-11 11:47:35 EDT
I'm hoping for an update *before* U4... there are a boatload of Cisco
routers running IOS version 12.2 that don't work with what Red Hat is
shipping today :-(
Comment 11 Joshua Jensen 2004-10-19 09:18:03 EDT
A response of "no" is better than a response of "..."

;-)
Comment 12 nathan r. hruby 2004-10-19 09:25:37 EDT
Hmm probably that was the alias getting added.  This bug is now also a 
blocker for something else, possibly (hopefully) an internal UPD4
tracking bug?

I'm guessing this is prep for the UPD4 beta spin, we're about due.

FWIW Red hat typically doesn't do version bumps between the quarterly
releases.  Some nonsense about QA I think...

;-)
Comment 13 Radek Vokal 2004-10-19 09:29:21 EDT
It will be the part of RHEL3-U4 and it won't come out earlier. I'm
sorry for your problems but it has to go through QA as it's version
"bump" as Nathan mentioned. 
Comment 14 nathan r. hruby 2004-10-19 09:43:32 EDT
Thanks for the update!  The new version is muchly welcomed.
Comment 15 John Flanagan 2004-12-21 10:34:07 EST
An advisory has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-532.html

Note You need to log in before you can comment on or make changes to this bug.